<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.grpU8.nxproof.glYeb.dao.impl.SenderGlYebDaoImpl">

    <resultMap id="get-SenderGlYebEntity-result" type="com.hzya.frame.grpU8.nxproof.glYeb.entity.SenderGlYebEntity" >
       <result property="kjnd" column="kjnd" jdbcType="VARCHAR"/>
           <result property="kmdm" column="kmdm" jdbcType="VARCHAR"/>
           <result property="yeblx" column="yeblx" jdbcType="VARCHAR"/>
           <result property="wbdm" column="wbdm" jdbcType="VARCHAR"/>
           <result property="gsdm" column="gsdm" jdbcType="VARCHAR"/>
           <result property="zth" column="ZTH" jdbcType="VARCHAR"/>
           <result property="fzdm0" column="fzdm0" jdbcType="VARCHAR"/>
           <result property="fzdm1" column="fzdm1" jdbcType="VARCHAR"/>
           <result property="fzdm2" column="fzdm2" jdbcType="VARCHAR"/>
           <result property="fzdm3" column="fzdm3" jdbcType="VARCHAR"/>
           <result property="fzdm4" column="fzdm4" jdbcType="VARCHAR"/>
           <result property="fzdm5" column="fzdm5" jdbcType="VARCHAR"/>
           <result property="fzdm6" column="fzdm6" jdbcType="VARCHAR"/>
           <result property="fzdm7" column="fzdm7" jdbcType="VARCHAR"/>
           <result property="fzdm8" column="fzdm8" jdbcType="VARCHAR"/>
           <result property="fzdm9" column="fzdm9" jdbcType="VARCHAR"/>
           <result property="fzdm10" column="fzdm10" jdbcType="VARCHAR"/>
            <result property="fzdm11" column="fzdm11" jdbcType="VARCHAR"/>
            <result property="fzdm12" column="fzdm12" jdbcType="VARCHAR"/>
            <result property="fzdm13" column="fzdm13" jdbcType="VARCHAR"/>
            <result property="fzdm14" column="fzdm14" jdbcType="VARCHAR"/>
            <result property="fzdm15" column="fzdm15" jdbcType="VARCHAR"/>
            <result property="fzdm16" column="fzdm16" jdbcType="VARCHAR"/>
            <result property="fzdm17" column="fzdm17" jdbcType="VARCHAR"/>
            <result property="fzdm18" column="fzdm18" jdbcType="VARCHAR"/>
            <result property="fzdm19" column="fzdm19" jdbcType="VARCHAR"/>
            <result property="fzdm20" column="fzdm20" jdbcType="VARCHAR"/>
            <result property="fzdm21" column="fzdm21" jdbcType="VARCHAR"/>
            <result property="fzdm22" column="fzdm22" jdbcType="VARCHAR"/>
            <result property="fzdm23" column="fzdm23" jdbcType="VARCHAR"/>
            <result property="fzdm24" column="fzdm24" jdbcType="VARCHAR"/>
            <result property="fzdm25" column="fzdm25" jdbcType="VARCHAR"/>
            <result property="fzdm26" column="fzdm26" jdbcType="VARCHAR"/>
            <result property="fzdm27" column="fzdm27" jdbcType="VARCHAR"/>
            <result property="fzdm28" column="fzdm28" jdbcType="VARCHAR"/>
            <result property="fzdm29" column="fzdm29" jdbcType="VARCHAR"/>
            <result property="fzdm30" column="fzdm30" jdbcType="VARCHAR"/>
           <result property="zdylb" column="zdylb" jdbcType="VARCHAR"/>
           <result property="zdydm" column="zdydm" jdbcType="VARCHAR"/>
           <result property="ncj" column="ncj" jdbcType="VARCHAR"/>
           <result property="ncd" column="ncd" jdbcType="VARCHAR"/>
           <result property="yj1" column="yj1" jdbcType="VARCHAR"/>
           <result property="yd1" column="yd1" jdbcType="VARCHAR"/>
           <result property="yj2" column="yj2" jdbcType="VARCHAR"/>
           <result property="yd2" column="yd2" jdbcType="VARCHAR"/>
           <result property="yj3" column="yj3" jdbcType="VARCHAR"/>
           <result property="yd3" column="yd3" jdbcType="VARCHAR"/>
           <result property="yj4" column="yj4" jdbcType="VARCHAR"/>
           <result property="yd4" column="yd4" jdbcType="VARCHAR"/>
           <result property="yj5" column="yj5" jdbcType="VARCHAR"/>
           <result property="yd5" column="yd5" jdbcType="VARCHAR"/>
           <result property="yj6" column="yj6" jdbcType="VARCHAR"/>
           <result property="yd6" column="yd6" jdbcType="VARCHAR"/>
           <result property="yj7" column="yj7" jdbcType="VARCHAR"/>
           <result property="yd7" column="yd7" jdbcType="VARCHAR"/>
           <result property="yj8" column="yj8" jdbcType="VARCHAR"/>
           <result property="yd8" column="yd8" jdbcType="VARCHAR"/>
           <result property="yj9" column="yj9" jdbcType="VARCHAR"/>
           <result property="yd9" column="yd9" jdbcType="VARCHAR"/>
           <result property="yj10" column="yj10" jdbcType="VARCHAR"/>
           <result property="yd10" column="yd10" jdbcType="VARCHAR"/>
           <result property="yj11" column="yj11" jdbcType="VARCHAR"/>
           <result property="yd11" column="yd11" jdbcType="VARCHAR"/>
           <result property="yj12" column="yj12" jdbcType="VARCHAR"/>
           <result property="yd12" column="yd12" jdbcType="VARCHAR"/>
           <result property="yj13" column="yj13" jdbcType="VARCHAR"/>
           <result property="yd13" column="yd13" jdbcType="VARCHAR"/>
           <result property="kjtxdm" column="kjtxdm" jdbcType="VARCHAR"/>
        </resultMap>
    <!-- 查询的字段-->
    <sql id = "SenderGlYebEntity_Base_Column_List">
        kjnd
       ,kmdm 
        ,yeblx 
        ,wbdm 
        ,gsdm 
        ,ZTH 
        ,fzdm0 
        ,fzdm1 
        ,fzdm2 
        ,fzdm3 
        ,fzdm4 
        ,fzdm5 
        ,fzdm6 
        ,fzdm7 
        ,fzdm8 
        ,fzdm9 
        ,fzdm10
        ,fzdm11
        ,fzdm12
        ,fzdm13
        ,fzdm14
        ,fzdm15
        ,fzdm16
        ,fzdm17
        ,fzdm18
        ,fzdm19
        ,fzdm20
        ,fzdm21
        ,fzdm22
        ,fzdm23
        ,fzdm24
        ,fzdm25
        ,fzdm26
        ,fzdm27
        ,fzdm28
        ,fzdm29
        ,fzdm30
        ,zdylb 
        ,zdydm 
        ,ncj 
        ,ncd 
        ,yj1 
        ,yd1 
        ,yj2 
        ,yd2 
        ,yj3 
        ,yd3 
        ,yj4 
        ,yd4 
        ,yj5 
        ,yd5 
        ,yj6 
        ,yd6 
        ,yj7 
        ,yd7 
        ,yj8 
        ,yd8 
        ,yj9 
        ,yd9 
        ,yj10 
        ,yd10 
        ,yj11 
        ,yd11 
        ,yj12 
        ,yd12 
        ,yj13 
        ,yd13 
        ,ID
        ,kjtxdm
     </sql>
 <!-- 查询 采用==查询 -->
 <select id="entity_list_base" resultMap="get-SenderGlYebEntity-result" parameterType = "com.hzya.frame.grpU8.nxproof.glYeb.entity.SenderGlYebEntity">
    select
    <include refid="SenderGlYebEntity_Base_Column_List" />
    from gl_yeb
    <trim prefix="where" prefixOverrides="and"> 
        <if test="kjnd != null and kjnd != ''"> and kjnd = #{kjnd} </if>
            <if test="kmdm != null and kmdm != ''"> and kmdm = #{kmdm} </if>
            <if test="yeblx != null and yeblx != ''"> and yeblx = #{yeblx} </if>
            <if test="wbdm != null and wbdm != ''"> and wbdm = #{wbdm} </if>
            <if test="gsdm != null and gsdm != ''"> and gsdm = #{gsdm} </if>
            <if test="zth != null and zth != ''"> and ZTH = #{zth} </if>
            <if test="fzdm0 != null and fzdm0 != ''"> and fzdm0 = #{fzdm0} </if>
            <if test="fzdm1 != null and fzdm1 != ''"> and fzdm1 = #{fzdm1} </if>
            <if test="fzdm2 != null and fzdm2 != ''"> and fzdm2 = #{fzdm2} </if>
            <if test="fzdm3 != null and fzdm3 != ''"> and fzdm3 = #{fzdm3} </if>
            <if test="fzdm4 != null and fzdm4 != ''"> and fzdm4 = #{fzdm4} </if>
            <if test="fzdm5 != null and fzdm5 != ''"> and fzdm5 = #{fzdm5} </if>
            <if test="fzdm6 != null and fzdm6 != ''"> and fzdm6 = #{fzdm6} </if>
            <if test="fzdm7 != null and fzdm7 != ''"> and fzdm7 = #{fzdm7} </if>
            <if test="fzdm8 != null and fzdm8 != ''"> and fzdm8 = #{fzdm8} </if>
            <if test="fzdm9 != null and fzdm9 != ''"> and fzdm9 = #{fzdm9} </if>
            <if test="fzdm10 != null and fzdm10 != ''"> and fzdm10 = #{fzdm10} </if>
            <if test="zdylb != null and zdylb != ''"> and zdylb = #{zdylb} </if>
            <if test="zdydm != null and zdydm != ''"> and zdydm = #{zdydm} </if>
            <if test="ncj != null"> and ncj = #{ncj} </if>
            <if test="ncd != null"> and ncd = #{ncd} </if>
            <if test="yj1 != null"> and yj1 = #{yj1} </if>
            <if test="yd1 != null"> and yd1 = #{yd1} </if>
            <if test="yj2 != null"> and yj2 = #{yj2} </if>
            <if test="yd2 != null"> and yd2 = #{yd2} </if>
            <if test="yj3 != null"> and yj3 = #{yj3} </if>
            <if test="yd3 != null"> and yd3 = #{yd3} </if>
            <if test="yj4 != null"> and yj4 = #{yj4} </if>
            <if test="yd4 != null"> and yd4 = #{yd4} </if>
            <if test="yj5 != null"> and yj5 = #{yj5} </if>
            <if test="yd5 != null"> and yd5 = #{yd5} </if>
            <if test="yj6 != null"> and yj6 = #{yj6} </if>
            <if test="yd6 != null"> and yd6 = #{yd6} </if>
            <if test="yj7 != null"> and yj7 = #{yj7} </if>
            <if test="yd7 != null"> and yd7 = #{yd7} </if>
            <if test="yj8 != null"> and yj8 = #{yj8} </if>
            <if test="yd8 != null"> and yd8 = #{yd8} </if>
            <if test="yj9 != null"> and yj9 = #{yj9} </if>
            <if test="yd9 != null"> and yd9 = #{yd9} </if>
            <if test="yj10 != null"> and yj10 = #{yj10} </if>
            <if test="yd10 != null"> and yd10 = #{yd10} </if>
            <if test="yj11 != null"> and yj11 = #{yj11} </if>
            <if test="yd11 != null"> and yd11 = #{yd11} </if>
            <if test="yj12 != null"> and yj12 = #{yj12} </if>
            <if test="yd12 != null"> and yd12 = #{yd12} </if>
            <if test="yj13 != null"> and yj13 = #{yj13} </if>
            <if test="yd13 != null"> and yd13 = #{yd13} </if>
            <if test="id != null"> and ID = #{id} </if>
     -- and zth in ('004','005','009','010','011','012','014')
    </trim>
</select>
    
<!-- 查询符合条件的数量 -->
<select id="SenderGlYebEntity_count" resultType="Integer" parameterType = "com.hzya.frame.grpU8.nxproof.glYeb.entity.SenderGlYebEntity">
        select  count(1)   from gl_yeb
    <trim prefix="where" prefixOverrides="and"> 
        <if test="kjnd != null and kjnd != ''"> and kjnd = #{kjnd} </if>
            <if test="kmdm != null and kmdm != ''"> and kmdm = #{kmdm} </if>
            <if test="yeblx != null and yeblx != ''"> and yeblx = #{yeblx} </if>
            <if test="wbdm != null and wbdm != ''"> and wbdm = #{wbdm} </if>
            <if test="gsdm != null and gsdm != ''"> and gsdm = #{gsdm} </if>
            <if test="zth != null and zth != ''"> and ZTH = #{zth} </if>
            <if test="fzdm0 != null and fzdm0 != ''"> and fzdm0 = #{fzdm0} </if>
            <if test="fzdm1 != null and fzdm1 != ''"> and fzdm1 = #{fzdm1} </if>
            <if test="fzdm2 != null and fzdm2 != ''"> and fzdm2 = #{fzdm2} </if>
            <if test="fzdm3 != null and fzdm3 != ''"> and fzdm3 = #{fzdm3} </if>
            <if test="fzdm4 != null and fzdm4 != ''"> and fzdm4 = #{fzdm4} </if>
            <if test="fzdm5 != null and fzdm5 != ''"> and fzdm5 = #{fzdm5} </if>
            <if test="fzdm6 != null and fzdm6 != ''"> and fzdm6 = #{fzdm6} </if>
            <if test="fzdm7 != null and fzdm7 != ''"> and fzdm7 = #{fzdm7} </if>
            <if test="fzdm8 != null and fzdm8 != ''"> and fzdm8 = #{fzdm8} </if>
            <if test="fzdm9 != null and fzdm9 != ''"> and fzdm9 = #{fzdm9} </if>
            <if test="fzdm10 != null and fzdm10 != ''"> and fzdm10 = #{fzdm10} </if>
            <if test="zdylb != null and zdylb != ''"> and zdylb = #{zdylb} </if>
            <if test="zdydm != null and zdydm != ''"> and zdydm = #{zdydm} </if>
            <if test="ncj != null"> and ncj = #{ncj} </if>
            <if test="ncd != null"> and ncd = #{ncd} </if>
            <if test="yj1 != null"> and yj1 = #{yj1} </if>
            <if test="yd1 != null"> and yd1 = #{yd1} </if>
            <if test="yj2 != null"> and yj2 = #{yj2} </if>
            <if test="yd2 != null"> and yd2 = #{yd2} </if>
            <if test="yj3 != null"> and yj3 = #{yj3} </if>
            <if test="yd3 != null"> and yd3 = #{yd3} </if>
            <if test="yj4 != null"> and yj4 = #{yj4} </if>
            <if test="yd4 != null"> and yd4 = #{yd4} </if>
            <if test="yj5 != null"> and yj5 = #{yj5} </if>
            <if test="yd5 != null"> and yd5 = #{yd5} </if>
            <if test="yj6 != null"> and yj6 = #{yj6} </if>
            <if test="yd6 != null"> and yd6 = #{yd6} </if>
            <if test="yj7 != null"> and yj7 = #{yj7} </if>
            <if test="yd7 != null"> and yd7 = #{yd7} </if>
            <if test="yj8 != null"> and yj8 = #{yj8} </if>
            <if test="yd8 != null"> and yd8 = #{yd8} </if>
            <if test="yj9 != null"> and yj9 = #{yj9} </if>
            <if test="yd9 != null"> and yd9 = #{yd9} </if>
            <if test="yj10 != null"> and yj10 = #{yj10} </if>
            <if test="yd10 != null"> and yd10 = #{yd10} </if>
            <if test="yj11 != null"> and yj11 = #{yj11} </if>
            <if test="yd11 != null"> and yd11 = #{yd11} </if>
            <if test="yj12 != null"> and yj12 = #{yj12} </if>
            <if test="yd12 != null"> and yd12 = #{yd12} </if>
            <if test="yj13 != null"> and yj13 = #{yj13} </if>
            <if test="yd13 != null"> and yd13 = #{yd13} </if>
            <if test="id != null"> and ID = #{id} </if>
    </trim>
    </select>

    <!-- 分页查询列表 采用like格式 -->
<select id="entity_list_like" resultMap="get-SenderGlYebEntity-result" parameterType = "com.hzya.frame.grpU8.nxproof.glYeb.entity.SenderGlYebEntity">
    select
    <include refid="SenderGlYebEntity_Base_Column_List" />
    from gl_yeb
    <trim prefix="where" prefixOverrides="and"> 
        <if test="kjnd != null and kjnd != ''"> and kjnd like concat('%',#{kjnd},'%') </if>
            <if test="kmdm != null and kmdm != ''"> and kmdm like concat('%',#{kmdm},'%') </if>
            <if test="yeblx != null and yeblx != ''"> and yeblx like concat('%',#{yeblx},'%') </if>
            <if test="wbdm != null and wbdm != ''"> and wbdm like concat('%',#{wbdm},'%') </if>
            <if test="gsdm != null and gsdm != ''"> and gsdm like concat('%',#{gsdm},'%') </if>
            <if test="zth != null and zth != ''"> and ZTH like concat('%',#{zth},'%') </if>
            <if test="fzdm0 != null and fzdm0 != ''"> and fzdm0 like concat('%',#{fzdm0},'%') </if>
            <if test="fzdm1 != null and fzdm1 != ''"> and fzdm1 like concat('%',#{fzdm1},'%') </if>
            <if test="fzdm2 != null and fzdm2 != ''"> and fzdm2 like concat('%',#{fzdm2},'%') </if>
            <if test="fzdm3 != null and fzdm3 != ''"> and fzdm3 like concat('%',#{fzdm3},'%') </if>
            <if test="fzdm4 != null and fzdm4 != ''"> and fzdm4 like concat('%',#{fzdm4},'%') </if>
            <if test="fzdm5 != null and fzdm5 != ''"> and fzdm5 like concat('%',#{fzdm5},'%') </if>
            <if test="fzdm6 != null and fzdm6 != ''"> and fzdm6 like concat('%',#{fzdm6},'%') </if>
            <if test="fzdm7 != null and fzdm7 != ''"> and fzdm7 like concat('%',#{fzdm7},'%') </if>
            <if test="fzdm8 != null and fzdm8 != ''"> and fzdm8 like concat('%',#{fzdm8},'%') </if>
            <if test="fzdm9 != null and fzdm9 != ''"> and fzdm9 like concat('%',#{fzdm9},'%') </if>
            <if test="fzdm10 != null and fzdm10 != ''"> and fzdm10 like concat('%',#{fzdm10},'%') </if>
            <if test="zdylb != null and zdylb != ''"> and zdylb like concat('%',#{zdylb},'%') </if>
            <if test="zdydm != null and zdydm != ''"> and zdydm like concat('%',#{zdydm},'%') </if>
            <if test="ncj != null"> and ncj like concat('%',#{ncj},'%') </if>
            <if test="ncd != null"> and ncd like concat('%',#{ncd},'%') </if>
            <if test="yj1 != null"> and yj1 like concat('%',#{yj1},'%') </if>
            <if test="yd1 != null"> and yd1 like concat('%',#{yd1},'%') </if>
            <if test="yj2 != null"> and yj2 like concat('%',#{yj2},'%') </if>
            <if test="yd2 != null"> and yd2 like concat('%',#{yd2},'%') </if>
            <if test="yj3 != null"> and yj3 like concat('%',#{yj3},'%') </if>
            <if test="yd3 != null"> and yd3 like concat('%',#{yd3},'%') </if>
            <if test="yj4 != null"> and yj4 like concat('%',#{yj4},'%') </if>
            <if test="yd4 != null"> and yd4 like concat('%',#{yd4},'%') </if>
            <if test="yj5 != null"> and yj5 like concat('%',#{yj5},'%') </if>
            <if test="yd5 != null"> and yd5 like concat('%',#{yd5},'%') </if>
            <if test="yj6 != null"> and yj6 like concat('%',#{yj6},'%') </if>
            <if test="yd6 != null"> and yd6 like concat('%',#{yd6},'%') </if>
            <if test="yj7 != null"> and yj7 like concat('%',#{yj7},'%') </if>
            <if test="yd7 != null"> and yd7 like concat('%',#{yd7},'%') </if>
            <if test="yj8 != null"> and yj8 like concat('%',#{yj8},'%') </if>
            <if test="yd8 != null"> and yd8 like concat('%',#{yd8},'%') </if>
            <if test="yj9 != null"> and yj9 like concat('%',#{yj9},'%') </if>
            <if test="yd9 != null"> and yd9 like concat('%',#{yd9},'%') </if>
            <if test="yj10 != null"> and yj10 like concat('%',#{yj10},'%') </if>
            <if test="yd10 != null"> and yd10 like concat('%',#{yd10},'%') </if>
            <if test="yj11 != null"> and yj11 like concat('%',#{yj11},'%') </if>
            <if test="yd11 != null"> and yd11 like concat('%',#{yd11},'%') </if>
            <if test="yj12 != null"> and yj12 like concat('%',#{yj12},'%') </if>
            <if test="yd12 != null"> and yd12 like concat('%',#{yd12},'%') </if>
            <if test="yj13 != null"> and yj13 like concat('%',#{yj13},'%') </if>
            <if test="yd13 != null"> and yd13 like concat('%',#{yd13},'%') </if>
            <if test="id != null"> and ID like concat('%',#{id},'%') </if>
    </trim>
</select>

<!-- 查询列表 字段采用or格式 -->
<select id="SenderGlYebEntity_list_or" resultMap="get-SenderGlYebEntity-result" parameterType = "com.hzya.frame.grpU8.nxproof.glYeb.entity.SenderGlYebEntity">
    select
    <include refid="SenderGlYebEntity_Base_Column_List" />
    from gl_yeb
    <trim prefix="where" prefixOverrides="and"> 
         <if test="kjnd != null and kjnd != ''"> or kjnd = #{kjnd} </if>
             <if test="kmdm != null and kmdm != ''"> or kmdm = #{kmdm} </if>
             <if test="yeblx != null and yeblx != ''"> or yeblx = #{yeblx} </if>
             <if test="wbdm != null and wbdm != ''"> or wbdm = #{wbdm} </if>
             <if test="gsdm != null and gsdm != ''"> or gsdm = #{gsdm} </if>
             <if test="zth != null and zth != ''"> or ZTH = #{zth} </if>
             <if test="fzdm0 != null and fzdm0 != ''"> or fzdm0 = #{fzdm0} </if>
             <if test="fzdm1 != null and fzdm1 != ''"> or fzdm1 = #{fzdm1} </if>
             <if test="fzdm2 != null and fzdm2 != ''"> or fzdm2 = #{fzdm2} </if>
             <if test="fzdm3 != null and fzdm3 != ''"> or fzdm3 = #{fzdm3} </if>
             <if test="fzdm4 != null and fzdm4 != ''"> or fzdm4 = #{fzdm4} </if>
             <if test="fzdm5 != null and fzdm5 != ''"> or fzdm5 = #{fzdm5} </if>
             <if test="fzdm6 != null and fzdm6 != ''"> or fzdm6 = #{fzdm6} </if>
             <if test="fzdm7 != null and fzdm7 != ''"> or fzdm7 = #{fzdm7} </if>
             <if test="fzdm8 != null and fzdm8 != ''"> or fzdm8 = #{fzdm8} </if>
             <if test="fzdm9 != null and fzdm9 != ''"> or fzdm9 = #{fzdm9} </if>
             <if test="fzdm10 != null and fzdm10 != ''"> or fzdm10 = #{fzdm10} </if>
             <if test="zdylb != null and zdylb != ''"> or zdylb = #{zdylb} </if>
             <if test="zdydm != null and zdydm != ''"> or zdydm = #{zdydm} </if>
             <if test="ncj != null"> or ncj = #{ncj} </if>
             <if test="ncd != null"> or ncd = #{ncd} </if>
             <if test="yj1 != null"> or yj1 = #{yj1} </if>
             <if test="yd1 != null"> or yd1 = #{yd1} </if>
             <if test="yj2 != null"> or yj2 = #{yj2} </if>
             <if test="yd2 != null"> or yd2 = #{yd2} </if>
             <if test="yj3 != null"> or yj3 = #{yj3} </if>
             <if test="yd3 != null"> or yd3 = #{yd3} </if>
             <if test="yj4 != null"> or yj4 = #{yj4} </if>
             <if test="yd4 != null"> or yd4 = #{yd4} </if>
             <if test="yj5 != null"> or yj5 = #{yj5} </if>
             <if test="yd5 != null"> or yd5 = #{yd5} </if>
             <if test="yj6 != null"> or yj6 = #{yj6} </if>
             <if test="yd6 != null"> or yd6 = #{yd6} </if>
             <if test="yj7 != null"> or yj7 = #{yj7} </if>
             <if test="yd7 != null"> or yd7 = #{yd7} </if>
             <if test="yj8 != null"> or yj8 = #{yj8} </if>
             <if test="yd8 != null"> or yd8 = #{yd8} </if>
             <if test="yj9 != null"> or yj9 = #{yj9} </if>
             <if test="yd9 != null"> or yd9 = #{yd9} </if>
             <if test="yj10 != null"> or yj10 = #{yj10} </if>
             <if test="yd10 != null"> or yd10 = #{yd10} </if>
             <if test="yj11 != null"> or yj11 = #{yj11} </if>
             <if test="yd11 != null"> or yd11 = #{yd11} </if>
             <if test="yj12 != null"> or yj12 = #{yj12} </if>
             <if test="yd12 != null"> or yd12 = #{yd12} </if>
             <if test="yj13 != null"> or yj13 = #{yj13} </if>
             <if test="yd13 != null"> or yd13 = #{yd13} </if>
             <if test="id != null"> or ID = #{id} </if>
    </trim>
</select>

<!--新增所有列-->
<insert id="entity_insert" parameterType = "com.hzya.frame.grpU8.nxproof.glYeb.entity.SenderGlYebEntity" keyProperty="" useGeneratedKeys="true">
    insert into gl_yeb(
    <trim suffix="" suffixOverrides=",">
        <if test="kjnd != null and kjnd != ''"> kjnd , </if>
        <if test="kmdm != null and kmdm != ''"> kmdm , </if>
        <if test="yeblx != null and yeblx != ''"> yeblx , </if>
        <if test="wbdm != null and wbdm != ''"> wbdm , </if>
        <if test="gsdm != null and gsdm != ''"> gsdm , </if>
        <if test="zth != null and zth != ''"> ZTH , </if>
        <if test="fzdm0 != null and fzdm0 != ''"> fzdm0 , </if>
        <if test="fzdm1 != null and fzdm1 != ''"> fzdm1 , </if>
        <if test="fzdm2 != null and fzdm2 != ''"> fzdm2 , </if>
        <if test="fzdm3 != null and fzdm3 != ''"> fzdm3 , </if>
        <if test="fzdm4 != null and fzdm4 != ''"> fzdm4 , </if>
        <if test="fzdm5 != null and fzdm5 != ''"> fzdm5 , </if>
        <if test="fzdm6 != null and fzdm6 != ''"> fzdm6 , </if>
        <if test="fzdm7 != null and fzdm7 != ''"> fzdm7 , </if>
        <if test="fzdm8 != null and fzdm8 != ''"> fzdm8 , </if>
        <if test="fzdm9 != null and fzdm9 != ''"> fzdm9 , </if>
        <if test="fzdm10 != null and fzdm10 != ''"> fzdm10 , </if>
        <if test="fzdm11 != null and fzdm11 != ''"> fzdm11 , </if>
        <if test="fzdm12 != null and fzdm12 != ''"> fzdm12 , </if>
        <if test="fzdm13 != null and fzdm13 != ''"> fzdm13 , </if>
        <if test="fzdm14 != null and fzdm14 != ''"> fzdm14 , </if>
        <if test="fzdm15 != null and fzdm15 != ''"> fzdm15 , </if>
        <if test="fzdm16 != null and fzdm16 != ''"> fzdm16 , </if>
        <if test="fzdm17 != null and fzdm17 != ''"> fzdm17 , </if>
        <if test="fzdm18 != null and fzdm18 != ''"> fzdm18 , </if>
        <if test="fzdm19 != null and fzdm19 != ''"> fzdm19 , </if>
        <if test="fzdm20 != null and fzdm20 != ''"> fzdm20 , </if>
        <if test="fzdm21 != null and fzdm21 != ''"> fzdm21 , </if>
        <if test="fzdm22 != null and fzdm22 != ''"> fzdm22 , </if>
        <if test="fzdm23 != null and fzdm23 != ''"> fzdm23 , </if>
        <if test="fzdm24 != null and fzdm24 != ''"> fzdm24 , </if>
        <if test="fzdm25 != null and fzdm25 != ''"> fzdm25 , </if>
        <if test="fzdm26 != null and fzdm26 != ''"> fzdm26 , </if>
        <if test="fzdm27 != null and fzdm27 != ''"> fzdm27 , </if>
        <if test="fzdm28 != null and fzdm28 != ''"> fzdm28 , </if>
        <if test="fzdm29 != null and fzdm29 != ''"> fzdm29 , </if>
        <if test="fzdm30 != null and fzdm30 != ''"> fzdm30 , </if>
        <if test="zdylb != null and zdylb != ''"> zdylb , </if>
        <if test="zdydm != null and zdydm != ''"> zdydm , </if>
        <if test="ncj != null"> ncj , </if>
        <if test="ncd != null"> ncd , </if>
        <if test="yj1 != null"> yj1 , </if>
        <if test="yd1 != null"> yd1 , </if>
        <if test="yj2 != null"> yj2 , </if>
        <if test="yd2 != null"> yd2 , </if>
        <if test="yj3 != null"> yj3 , </if>
        <if test="yd3 != null"> yd3 , </if>
        <if test="yj4 != null"> yj4 , </if>
        <if test="yd4 != null"> yd4 , </if>
        <if test="yj5 != null"> yj5 , </if>
        <if test="yd5 != null"> yd5 , </if>
        <if test="yj6 != null"> yj6 , </if>
        <if test="yd6 != null"> yd6 , </if>
        <if test="yj7 != null"> yj7 , </if>
        <if test="yd7 != null"> yd7 , </if>
        <if test="yj8 != null"> yj8 , </if>
        <if test="yd8 != null"> yd8 , </if>
        <if test="yj9 != null"> yj9 , </if>
        <if test="yd9 != null"> yd9 , </if>
        <if test="yj10 != null"> yj10 , </if>
        <if test="yd10 != null"> yd10 , </if>
        <if test="yj11 != null"> yj11 , </if>
        <if test="yd11 != null"> yd11 , </if>
        <if test="yj12 != null"> yj12 , </if>
        <if test="yd12 != null"> yd12 , </if>
        <if test="yj13 != null"> yj13 , </if>
        <if test="yd13 != null"> yd13,  </if>
        <if test="kjtxdm != null and kjtxdm!=''"> kjtxdm  </if>
    </trim>
    )values(
    <trim suffix="" suffixOverrides=",">
        <if test="kjnd != null and kjnd != ''"> #{kjnd} ,</if>
        <if test="kmdm != null and kmdm != ''"> #{kmdm} ,</if>
        <if test="yeblx != null and yeblx != ''"> #{yeblx} ,</if>
        <if test="wbdm != null and wbdm != ''"> #{wbdm} ,</if>
        <if test="gsdm != null and gsdm != ''"> #{gsdm} ,</if>
        <if test="zth != null and zth != ''"> #{zth} ,</if>
        <if test="fzdm0 != null and fzdm0 != ''"> #{fzdm0} ,</if>
        <if test="fzdm1 != null and fzdm1 != ''"> #{fzdm1} ,</if>
        <if test="fzdm2 != null and fzdm2 != ''"> #{fzdm2} ,</if>
        <if test="fzdm3 != null and fzdm3 != ''"> #{fzdm3} ,</if>
        <if test="fzdm4 != null and fzdm4 != ''"> #{fzdm4} ,</if>
        <if test="fzdm5 != null and fzdm5 != ''"> #{fzdm5} ,</if>
        <if test="fzdm6 != null and fzdm6 != ''"> #{fzdm6} ,</if>
        <if test="fzdm7 != null and fzdm7 != ''"> #{fzdm7} ,</if>
        <if test="fzdm8 != null and fzdm8 != ''"> #{fzdm8} ,</if>
        <if test="fzdm9 != null and fzdm9 != ''"> #{fzdm9} ,</if>
        <if test="fzdm10 != null and fzdm10 != ''"> #{fzdm10} ,</if>
        <if test="fzdm11 != null and fzdm11 != ''"> #{fzdm11} , </if>
        <if test="fzdm12 != null and fzdm12 != ''"> #{fzdm12} , </if>
        <if test="fzdm13 != null and fzdm13 != ''"> #{fzdm13} , </if>
        <if test="fzdm14 != null and fzdm14 != ''"> #{fzdm14} , </if>
        <if test="fzdm15 != null and fzdm15 != ''"> #{fzdm15} , </if>
        <if test="fzdm16 != null and fzdm16 != ''"> #{fzdm16} , </if>
        <if test="fzdm17 != null and fzdm17 != ''"> #{fzdm17} , </if>
        <if test="fzdm18 != null and fzdm18 != ''"> #{fzdm18} , </if>
        <if test="fzdm19 != null and fzdm19 != ''"> #{fzdm19} , </if>
        <if test="fzdm20 != null and fzdm20 != ''"> #{fzdm20} , </if>
        <if test="fzdm21 != null and fzdm21 != ''"> #{fzdm21} , </if>
        <if test="fzdm22 != null and fzdm22 != ''"> #{fzdm22} , </if>
        <if test="fzdm23 != null and fzdm23 != ''"> #{fzdm23} , </if>
        <if test="fzdm24 != null and fzdm24 != ''"> #{fzdm24} , </if>
        <if test="fzdm25 != null and fzdm25 != ''"> #{fzdm25} , </if>
        <if test="fzdm26 != null and fzdm26 != ''"> #{fzdm26} , </if>
        <if test="fzdm27 != null and fzdm27 != ''"> #{fzdm27} , </if>
        <if test="fzdm28 != null and fzdm28 != ''"> #{fzdm28} , </if>
        <if test="fzdm29 != null and fzdm29 != ''"> #{fzdm29} , </if>
        <if test="fzdm30 != null and fzdm30 != ''"> #{fzdm30} , </if>
        <if test="zdylb != null and zdylb != ''"> #{zdylb} ,</if>
        <if test="zdydm != null and zdydm != ''"> #{zdydm} ,</if>
        <if test="ncj != null"> #{ncj} ,</if>
        <if test="ncd != null"> #{ncd} ,</if>
        <if test="yj1 != null"> #{yj1} ,</if>
        <if test="yd1 != null"> #{yd1} ,</if>
        <if test="yj2 != null"> #{yj2} ,</if>
        <if test="yd2 != null"> #{yd2} ,</if>
        <if test="yj3 != null"> #{yj3} ,</if>
        <if test="yd3 != null"> #{yd3} ,</if>
        <if test="yj4 != null"> #{yj4} ,</if>
        <if test="yd4 != null"> #{yd4} ,</if>
        <if test="yj5 != null"> #{yj5} ,</if>
        <if test="yd5 != null"> #{yd5} ,</if>
        <if test="yj6 != null"> #{yj6} ,</if>
        <if test="yd6 != null"> #{yd6} ,</if>
        <if test="yj7 != null"> #{yj7} ,</if>
        <if test="yd7 != null"> #{yd7} ,</if>
        <if test="yj8 != null"> #{yj8} ,</if>
        <if test="yd8 != null"> #{yd8} ,</if>
        <if test="yj9 != null"> #{yj9} ,</if>
        <if test="yd9 != null"> #{yd9} ,</if>
        <if test="yj10 != null"> #{yj10} ,</if>
        <if test="yd10 != null"> #{yd10} ,</if>
        <if test="yj11 != null"> #{yj11} ,</if>
        <if test="yd11 != null"> #{yd11} ,</if>
        <if test="yj12 != null"> #{yj12} ,</if>
        <if test="yd12 != null"> #{yd12} ,</if>
        <if test="yj13 != null"> #{yj13} ,</if>
        <if test="yd13 != null"> #{yd13}, </if>
        <if test="kjtxdm != null and kjtxdm!=''"> #{kjtxdm} </if>
    </trim>
    )
</insert>
<!-- 批量新增 -->
<insert id="entityInsertBatch" keyProperty="" useGeneratedKeys="true">
  insert into gl_yeb(kjnd, kmdm, yeblx, wbdm, gsdm, ZTH, fzdm0, fzdm1, fzdm2, fzdm3, fzdm4, fzdm5, fzdm6, fzdm7, fzdm8, fzdm9, fzdm10, zdylb, zdydm, ncj, ncd, yj1, yd1, yj2, yd2, yj3, yd3, yj4, yd4, yj5, yd5, yj6, yd6, yj7, yd7, yj8, yd8, yj9, yd9, yj10, yd10, yj11, yd11, yj12, yd12, yj13, yd13, ID)
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.kjnd},#{entity.kmdm},#{entity.yeblx},#{entity.wbdm},#{entity.gsdm},#{entity.zth},#{entity.fzdm0},#{entity.fzdm1},#{entity.fzdm2},#{entity.fzdm3},#{entity.fzdm4},#{entity.fzdm5},#{entity.fzdm6},#{entity.fzdm7},#{entity.fzdm8},#{entity.fzdm9},#{entity.fzdm10},#{entity.zdylb},#{entity.zdydm},#{entity.ncj},#{entity.ncd},#{entity.yj1},#{entity.yd1},#{entity.yj2},#{entity.yd2},#{entity.yj3},#{entity.yd3},#{entity.yj4},#{entity.yd4},#{entity.yj5},#{entity.yd5},#{entity.yj6},#{entity.yd6},#{entity.yj7},#{entity.yd7},#{entity.yj8},#{entity.yd8},#{entity.yj9},#{entity.yd9},#{entity.yj10},#{entity.yd10},#{entity.yj11},#{entity.yd11},#{entity.yj12},#{entity.yd12},#{entity.yj13},#{entity.yd13},#{entity.id})
    </foreach>
</insert>
<!-- 批量新增或者修改-->
<insert id="entityInsertOrUpdateBatch" keyProperty="" useGeneratedKeys="true">
    insert into gl_yeb(kjnd, kmdm, yeblx, wbdm, gsdm, ZTH, fzdm0, fzdm1, fzdm2, fzdm3, fzdm4, fzdm5, fzdm6, fzdm7, fzdm8, fzdm9, fzdm10, zdylb, zdydm, ncj, ncd, yj1, yd1, yj2, yd2, yj3, yd3, yj4, yd4, yj5, yd5, yj6, yd6, yj7, yd7, yj8, yd8, yj9, yd9, yj10, yd10, yj11, yd11, yj12, yd12, yj13, yd13, ID)
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.kjnd},#{entity.kmdm},#{entity.yeblx},#{entity.wbdm},#{entity.gsdm},#{entity.zth},#{entity.fzdm0},#{entity.fzdm1},#{entity.fzdm2},#{entity.fzdm3},#{entity.fzdm4},#{entity.fzdm5},#{entity.fzdm6},#{entity.fzdm7},#{entity.fzdm8},#{entity.fzdm9},#{entity.fzdm10},#{entity.zdylb},#{entity.zdydm},#{entity.ncj},#{entity.ncd},#{entity.yj1},#{entity.yd1},#{entity.yj2},#{entity.yd2},#{entity.yj3},#{entity.yd3},#{entity.yj4},#{entity.yd4},#{entity.yj5},#{entity.yd5},#{entity.yj6},#{entity.yd6},#{entity.yj7},#{entity.yd7},#{entity.yj8},#{entity.yd8},#{entity.yj9},#{entity.yd9},#{entity.yj10},#{entity.yd10},#{entity.yj11},#{entity.yd11},#{entity.yj12},#{entity.yd12},#{entity.yj13},#{entity.yd13},#{entity.id})
    </foreach>
    on duplicate key update
    kjnd = values(kjnd),
    kmdm = values(kmdm),
    yeblx = values(yeblx),
    wbdm = values(wbdm),
    gsdm = values(gsdm),
    ZTH = values(ZTH),
    fzdm0 = values(fzdm0),
    fzdm1 = values(fzdm1),
    fzdm2 = values(fzdm2),
    fzdm3 = values(fzdm3),
    fzdm4 = values(fzdm4),
    fzdm5 = values(fzdm5),
    fzdm6 = values(fzdm6),
    fzdm7 = values(fzdm7),
    fzdm8 = values(fzdm8),
    fzdm9 = values(fzdm9),
    fzdm10 = values(fzdm10),
    zdylb = values(zdylb),
    zdydm = values(zdydm),
    ncj = values(ncj),
    ncd = values(ncd),
    yj1 = values(yj1),
    yd1 = values(yd1),
    yj2 = values(yj2),
    yd2 = values(yd2),
    yj3 = values(yj3),
    yd3 = values(yd3),
    yj4 = values(yj4),
    yd4 = values(yd4),
    yj5 = values(yj5),
    yd5 = values(yd5),
    yj6 = values(yj6),
    yd6 = values(yd6),
    yj7 = values(yj7),
    yd7 = values(yd7),
    yj8 = values(yj8),
    yd8 = values(yd8),
    yj9 = values(yj9),
    yd9 = values(yd9),
    yj10 = values(yj10),
    yd10 = values(yd10),
    yj11 = values(yj11),
    yd11 = values(yd11),
    yj12 = values(yj12),
    yd12 = values(yd12),
    yj13 = values(yj13),
    yd13 = values(yd13),
    ID = values(ID)</insert>
<!--通过主键修改方法-->
<update id="entity_update" parameterType = "com.hzya.frame.grpU8.nxproof.glYeb.entity.SenderGlYebEntity" >
    update gl_yeb  set
    <trim suffix="" suffixOverrides=",">
        <if test="kjnd != null and kjnd != ''"> kjnd = #{kjnd},</if>
        <if test="kmdm != null and kmdm != ''"> kmdm = #{kmdm},</if>
        <if test="yeblx != null and yeblx != ''"> yeblx = #{yeblx},</if>
        <if test="wbdm != null and wbdm != ''"> wbdm = #{wbdm},</if>
        <if test="gsdm != null and gsdm != ''"> gsdm = #{gsdm},</if>
        <if test="zth != null and zth != ''"> ZTH = #{zth},</if>
        <if test="fzdm0 != null and fzdm0 != ''"> fzdm0 = #{fzdm0},</if>
        <if test="fzdm1 != null and fzdm1 != ''"> fzdm1 = #{fzdm1},</if>
        <if test="fzdm2 != null and fzdm2 != ''"> fzdm2 = #{fzdm2},</if>
        <if test="fzdm3 != null and fzdm3 != ''"> fzdm3 = #{fzdm3},</if>
        <if test="fzdm4 != null and fzdm4 != ''"> fzdm4 = #{fzdm4},</if>
        <if test="fzdm5 != null and fzdm5 != ''"> fzdm5 = #{fzdm5},</if>
        <if test="fzdm6 != null and fzdm6 != ''"> fzdm6 = #{fzdm6},</if>
        <if test="fzdm7 != null and fzdm7 != ''"> fzdm7 = #{fzdm7},</if>
        <if test="fzdm8 != null and fzdm8 != ''"> fzdm8 = #{fzdm8},</if>
        <if test="fzdm9 != null and fzdm9 != ''"> fzdm9 = #{fzdm9},</if>
        <if test="fzdm10 != null and fzdm10 != ''"> fzdm10 = #{fzdm10},</if>
        <if test="fzdm11 != null and fzdm11 != ''"> fzdm11 = #{fzdm11},</if>
        <if test="fzdm12 != null and fzdm12 != ''"> fzdm12 = #{fzdm12},</if>
        <if test="fzdm13 != null and fzdm13 != ''"> fzdm13 = #{fzdm13},</if>
        <if test="fzdm14 != null and fzdm14 != ''"> fzdm14 = #{fzdm14},</if>
        <if test="fzdm15 != null and fzdm15 != ''"> fzdm15 = #{fzdm15},</if>
        <if test="fzdm16 != null and fzdm16 != ''"> fzdm16 = #{fzdm16},</if>
        <if test="fzdm17 != null and fzdm17 != ''"> fzdm17 = #{fzdm17},</if>
        <if test="fzdm18 != null and fzdm18 != ''"> fzdm18 = #{fzdm18},</if>
        <if test="fzdm19 != null and fzdm19 != ''"> fzdm19 = #{fzdm19},</if>
        <if test="fzdm20 != null and fzdm20 != ''"> fzdm20 = #{fzdm20},</if>
        <if test="fzdm21 != null and fzdm21 != ''"> fzdm21 = #{fzdm21},</if>
        <if test="fzdm22 != null and fzdm22 != ''"> fzdm22 = #{fzdm22},</if>
        <if test="fzdm23 != null and fzdm23 != ''"> fzdm23 = #{fzdm23},</if>
        <if test="fzdm24 != null and fzdm24 != ''"> fzdm24 = #{fzdm24},</if>
        <if test="fzdm25 != null and fzdm25 != ''"> fzdm25 = #{fzdm25},</if>
        <if test="fzdm26 != null and fzdm26 != ''"> fzdm26 = #{fzdm26},</if>
        <if test="fzdm27 != null and fzdm27 != ''"> fzdm27 = #{fzdm27},</if>
        <if test="fzdm28 != null and fzdm28 != ''"> fzdm28 = #{fzdm28},</if>
        <if test="fzdm29 != null and fzdm29 != ''"> fzdm29 = #{fzdm29},</if>
        <if test="fzdm30 != null and fzdm30 != ''"> fzdm30 = #{fzdm30},</if>
        <if test="zdylb != null and zdylb != ''"> zdylb = #{zdylb},</if>
        <if test="zdydm != null and zdydm != ''"> zdydm = #{zdydm},</if>
        <if test="ncj != null"> ncj = #{ncj},</if>
        <if test="ncd != null"> ncd = #{ncd},</if>
        <if test="yj1 != null"> yj1 = #{yj1},</if>
        <if test="yd1 != null"> yd1 = #{yd1},</if>
        <if test="yj2 != null"> yj2 = #{yj2},</if>
        <if test="yd2 != null"> yd2 = #{yd2},</if>
        <if test="yj3 != null"> yj3 = #{yj3},</if>
        <if test="yd3 != null"> yd3 = #{yd3},</if>
        <if test="yj4 != null"> yj4 = #{yj4},</if>
        <if test="yd4 != null"> yd4 = #{yd4},</if>
        <if test="yj5 != null"> yj5 = #{yj5},</if>
        <if test="yd5 != null"> yd5 = #{yd5},</if>
        <if test="yj6 != null"> yj6 = #{yj6},</if>
        <if test="yd6 != null"> yd6 = #{yd6},</if>
        <if test="yj7 != null"> yj7 = #{yj7},</if>
        <if test="yd7 != null"> yd7 = #{yd7},</if>
        <if test="yj8 != null"> yj8 = #{yj8},</if>
        <if test="yd8 != null"> yd8 = #{yd8},</if>
        <if test="yj9 != null"> yj9 = #{yj9},</if>
        <if test="yd9 != null"> yd9 = #{yd9},</if>
        <if test="yj10 != null"> yj10 = #{yj10},</if>
        <if test="yd10 != null"> yd10 = #{yd10},</if>
        <if test="yj11 != null"> yj11 = #{yj11},</if>
        <if test="yd11 != null"> yd11 = #{yd11},</if>
        <if test="yj12 != null"> yj12 = #{yj12},</if>
        <if test="yd12 != null"> yd12 = #{yd12},</if>
        <if test="yj13 != null"> yj13 = #{yj13},</if>
        <if test="yd13 != null"> yd13 = #{yd13},</if>
        <if test="kjtxdm != null and kjtxdm!=''"> kjtxdm = #{kjtxdm}</if>
    </trim>
    where  ID = #{id}
</update>
<!-- 逻辑删除 -->
<update id="SenderGlYebEntity_logicDelete" parameterType = "com.hzya.frame.grpU8.nxproof.glYeb.entity.SenderGlYebEntity" >
update gl_yeb  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
where ID = #{id}
</update>
<!-- 多条件逻辑删除 -->
<update id="SenderGlYebEntity_logicDelete_Multi_Condition" parameterType = "com.hzya.frame.grpU8.nxproof.glYeb.entity.SenderGlYebEntity" >
update gl_yeb  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
 <trim prefix="where" prefixOverrides="and"> 
        <if test="kjnd != null and kjnd != ''"> and kjnd = #{kjnd} </if>
            <if test="kmdm != null and kmdm != ''"> and kmdm = #{kmdm} </if>
            <if test="yeblx != null and yeblx != ''"> and yeblx = #{yeblx} </if>
            <if test="wbdm != null and wbdm != ''"> and wbdm = #{wbdm} </if>
            <if test="gsdm != null and gsdm != ''"> and gsdm = #{gsdm} </if>
            <if test="zth != null and zth != ''"> and ZTH = #{zth} </if>
            <if test="fzdm0 != null and fzdm0 != ''"> and fzdm0 = #{fzdm0} </if>
            <if test="fzdm1 != null and fzdm1 != ''"> and fzdm1 = #{fzdm1} </if>
            <if test="fzdm2 != null and fzdm2 != ''"> and fzdm2 = #{fzdm2} </if>
            <if test="fzdm3 != null and fzdm3 != ''"> and fzdm3 = #{fzdm3} </if>
            <if test="fzdm4 != null and fzdm4 != ''"> and fzdm4 = #{fzdm4} </if>
            <if test="fzdm5 != null and fzdm5 != ''"> and fzdm5 = #{fzdm5} </if>
            <if test="fzdm6 != null and fzdm6 != ''"> and fzdm6 = #{fzdm6} </if>
            <if test="fzdm7 != null and fzdm7 != ''"> and fzdm7 = #{fzdm7} </if>
            <if test="fzdm8 != null and fzdm8 != ''"> and fzdm8 = #{fzdm8} </if>
            <if test="fzdm9 != null and fzdm9 != ''"> and fzdm9 = #{fzdm9} </if>
            <if test="fzdm10 != null and fzdm10 != ''"> and fzdm10 = #{fzdm10} </if>
            <if test="zdylb != null and zdylb != ''"> and zdylb = #{zdylb} </if>
            <if test="zdydm != null and zdydm != ''"> and zdydm = #{zdydm} </if>
            <if test="ncj != null"> and ncj = #{ncj} </if>
            <if test="ncd != null"> and ncd = #{ncd} </if>
            <if test="yj1 != null"> and yj1 = #{yj1} </if>
            <if test="yd1 != null"> and yd1 = #{yd1} </if>
            <if test="yj2 != null"> and yj2 = #{yj2} </if>
            <if test="yd2 != null"> and yd2 = #{yd2} </if>
            <if test="yj3 != null"> and yj3 = #{yj3} </if>
            <if test="yd3 != null"> and yd3 = #{yd3} </if>
            <if test="yj4 != null"> and yj4 = #{yj4} </if>
            <if test="yd4 != null"> and yd4 = #{yd4} </if>
            <if test="yj5 != null"> and yj5 = #{yj5} </if>
            <if test="yd5 != null"> and yd5 = #{yd5} </if>
            <if test="yj6 != null"> and yj6 = #{yj6} </if>
            <if test="yd6 != null"> and yd6 = #{yd6} </if>
            <if test="yj7 != null"> and yj7 = #{yj7} </if>
            <if test="yd7 != null"> and yd7 = #{yd7} </if>
            <if test="yj8 != null"> and yj8 = #{yj8} </if>
            <if test="yd8 != null"> and yd8 = #{yd8} </if>
            <if test="yj9 != null"> and yj9 = #{yj9} </if>
            <if test="yd9 != null"> and yd9 = #{yd9} </if>
            <if test="yj10 != null"> and yj10 = #{yj10} </if>
            <if test="yd10 != null"> and yd10 = #{yd10} </if>
            <if test="yj11 != null"> and yj11 = #{yj11} </if>
            <if test="yd11 != null"> and yd11 = #{yd11} </if>
            <if test="yj12 != null"> and yj12 = #{yj12} </if>
            <if test="yd12 != null"> and yd12 = #{yd12} </if>
            <if test="yj13 != null"> and yj13 = #{yj13} </if>
            <if test="yd13 != null"> and yd13 = #{yd13} </if>
            <if test="id != null"> and ID = #{id} </if>
            <if test="kjtxdm != null and kjtxdm!=''"> and kjtxdm = #{kjtxdm} </if>
    </trim>
</update>
<!--通过主键删除-->
<delete id="SenderGlYebEntity_delete">
    delete from gl_yeb where  ID = #{id}
</delete>


    <!--通过会计年度，账套号，公司代码，科目代码删除-->
    <delete id="SenderGlYebEntity_delete_yeb">
        delete from gl_yeb where  kjnd = #{kjnd} and gsdm=#{gsdm} and zth=#{zth}
        <if test="kmdm != null and kmdm != ''"> and kmdm = #{kmdm} </if>
    </delete>

</mapper>

